public class ImageLoader {
	private BufferedImage image = null;
	private long x = 0;
	private long y = 0;
	private long zoom = 0;

	public long getX() {
		return x;
	}

	public void setX(long x) {
		this.x = x;
	}

	public long getY() {
		return y;
	}

	public void setY(long y) {
		this.y = y;
	}

	public long getZoom() {
		return zoom;
	}

	public void setZoom(long zoom) {
		this.zoom = zoom;
	}

	public BufferedImage getImage() {
		return image;
	}

	public void load() throws IOException {
		URL url = new URL("http://mt.google.com/mt?v=w2.5&x=" + x + "&y=" + y
				+ "&zoom=" + zoom);
		image = ImageIO.read(url);
	}

}

